searchData={"items":[{"type":"module","title":"ExRender","doc":"Documentation for `ExRender`.","ref":"ExRender.html"},{"type":"function","title":"ExRender.api_key/0","doc":"Return the API key from config.exs","ref":"ExRender.html#api_key/0"},{"type":"function","title":"ExRender.root/0","doc":"Return the root of the API","ref":"ExRender.html#root/0"},{"type":"module","title":"ExRender.Commit","doc":"Serialization model for Render commit","ref":"ExRender.Commit.html"},{"type":"function","title":"ExRender.Commit.new/2","doc":"","ref":"ExRender.Commit.html#new/2"},{"type":"type","title":"ExRender.Commit.t/0","doc":"","ref":"ExRender.Commit.html#t:t/0"},{"type":"module","title":"ExRender.Deploy","doc":"Serialization model for Render service details of `ExRender.Service`","ref":"ExRender.Deploy.html"},{"type":"function","title":"ExRender.Deploy.new/2","doc":"","ref":"ExRender.Deploy.html#new/2"},{"type":"type","title":"ExRender.Deploy.t/0","doc":"","ref":"ExRender.Deploy.html#t:t/0"},{"type":"module","title":"ExRender.Deploys","doc":"Render makes deploying your application as easy as pushing your code to source control.\n\nSee how it works in [Render documentations](https://docs.render.com/deploys).","ref":"ExRender.Deploys.html"},{"type":"function","title":"ExRender.Deploys.cancel/2","doc":"This endpoint allows you to cancel a running deploy. Canceling cronjob deploys is\ncurrently not supported.","ref":"ExRender.Deploys.html#cancel/2"},{"type":"function","title":"Example - ExRender.Deploys.cancel/2","doc":"iex> cancel(\"srv-some-service-id\", \"dp-some-deploy-id\"))\n    %ExRender.Deploy{\n      commit: %ExRender.Commit{\n        created_at: \"2024-05-20T08:16:22Z\",\n        id: \"some-commit-id\",\n        message: \"Rest API challenge controller draft\"\n      },\n      created_at: \"2024-05-20T11:00:23.620137Z\",\n      finished_at: \"2024-05-20T11:04:50.667727Z\",\n      id: \"dep-some-deploy-id\",\n      status: \"live\",\n      trigger: \"service_resumed\",\n      updated_at: \"2024-05-20T11:05:24.845489Z\"\n    }","ref":"ExRender.Deploys.html#cancel/2-example"},{"type":"function","title":"ExRender.Deploys.list/2","doc":"Returns a list of Render `ExRender.Deploy` from a `ExRender.Service` owned by you or a team\nyou belong to.","ref":"ExRender.Deploys.html#list/2"},{"type":"function","title":"Example - ExRender.Deploys.list/2","doc":"iex> list(\"srv-some-service-id\"))\n    [\n      %{\n          cursor: \"vsxehalH0Mtkb29sNmNhYzczYmsdqsdw\",\n          deploy: %ExRender.Deploy{\n            commit: %ExRender.Commit{\n              created_at: \"2024-05-20T08:16:22Z\",\n              id: \"some-commit-id\",\n              message: \"Rest API challenge controller draft\"\n            },\n            created_at: \"2024-05-20T11:00:23.620137Z\",\n            finished_at: \"2024-05-20T11:04:50.667727Z\",\n            id: \"dep-some-deploy-id\",\n            status: \"live\",\n            trigger: \"service_resumed\",\n            updated_at: \"2024-05-20T11:05:24.845489Z\"\n          }\n        }\n    ]","ref":"ExRender.Deploys.html#list/2-example"},{"type":"function","title":"ExRender.Deploys.retrieve/2","doc":"Returns the details of a single Render `ExRenderDeploy` (specified by serviceId) that's owned by\nyou or a team you belong to.","ref":"ExRender.Deploys.html#retrieve/2"},{"type":"function","title":"Example - ExRender.Deploys.retrieve/2","doc":"iex> retrieve(\"srv-some-service-id\", \"dp-some-deploy-id\"))\n    %ExRender.Deploy{\n      commit: %ExRender.Commit{\n        created_at: \"2024-05-20T08:16:22Z\",\n        id: \"some-commit-id\",\n        message: \"Rest API challenge controller draft\"\n      },\n      created_at: \"2024-05-20T11:00:23.620137Z\",\n      finished_at: \"2024-05-20T11:04:50.667727Z\",\n      id: \"dep-some-deploy-id\",\n      status: \"live\",\n      trigger: \"service_resumed\",\n      updated_at: \"2024-05-20T11:05:24.845489Z\"\n    }","ref":"ExRender.Deploys.html#retrieve/2-example"},{"type":"function","title":"ExRender.Deploys.rollback/1","doc":"Trigger a rollback to a previous deploy, by service id.","ref":"ExRender.Deploys.html#rollback/1"},{"type":"function","title":"Example - ExRender.Deploys.rollback/1","doc":"iex> trigger(\"srv-some-service-id\"))\n    %ExRender.Deploy{\n      commit: %ExRender.Commit{\n        created_at: \"2024-05-20T08:16:22Z\",\n        id: \"some-commit-id\",\n        message: \"Rest API challenge controller draft\"\n      },\n      created_at: \"2024-05-20T11:00:23.620137Z\",\n      finished_at: \"2024-05-20T11:04:50.667727Z\",\n      id: \"dep-some-deploy-id\",\n      status: \"live\",\n      trigger: \"service_resumed\",\n      updated_at: \"2024-05-20T11:05:24.845489Z\"\n    }","ref":"ExRender.Deploys.html#rollback/1-example"},{"type":"function","title":"ExRender.Deploys.trigger/1","doc":"Trigger a service by id","ref":"ExRender.Deploys.html#trigger/1"},{"type":"function","title":"Example - ExRender.Deploys.trigger/1","doc":"iex> trigger(\"srv-some-service-id\"))\n    %ExRender.Deploy{\n      commit: %ExRender.Commit{\n        created_at: \"2024-05-20T08:16:22Z\",\n        id: \"some-commit-id\",\n        message: \"Rest API challenge controller draft\"\n      },\n      created_at: \"2024-05-20T11:00:23.620137Z\",\n      finished_at: \"2024-05-20T11:04:50.667727Z\",\n      id: \"dep-some-deploy-id\",\n      status: \"live\",\n      trigger: \"service_resumed\",\n      updated_at: \"2024-05-20T11:05:24.845489Z\"\n    }","ref":"ExRender.Deploys.html#trigger/1-example"},{"type":"module","title":"ExRender.HttpHelpers","doc":"Collection of helpers for HTTP requests","ref":"ExRender.HttpHelpers.html"},{"type":"function","title":"ExRender.HttpHelpers.req_options/3","doc":"HTTP options of req middleware","ref":"ExRender.HttpHelpers.html#req_options/3"},{"type":"module","title":"ExRender.Service","doc":"Serialization model for Render services","ref":"ExRender.Service.html"},{"type":"function","title":"ExRender.Service.new/2","doc":"","ref":"ExRender.Service.html#new/2"},{"type":"type","title":"ExRender.Service.t/0","doc":"","ref":"ExRender.Service.html#t:t/0"},{"type":"module","title":"ExRender.ServiceDetails","doc":"Serialization model for Render service details of `ExRender.Service`","ref":"ExRender.ServiceDetails.html"},{"type":"function","title":"ExRender.ServiceDetails.new/2","doc":"","ref":"ExRender.ServiceDetails.html#new/2"},{"type":"type","title":"ExRender.ServiceDetails.t/0","doc":"","ref":"ExRender.ServiceDetails.html#t:t/0"},{"type":"module","title":"ExRender.Services","doc":"When you retrieve a service's details with the Render API, many of the returned\nobject's fields are the sameregardless of the service's type (static site, web\nservice, etc.). However, certain fields are returned only for certain service types.\n\nSee [Service Render API reference](https://api-docs.render.com/reference/service-fields) for\nmore details.","ref":"ExRender.Services.html"},{"type":"function","title":"ExRender.Services.list/1","doc":"Returns a list of Render services owned by you or a team you belong to. Optionally filter\nby name, service type, region, and more.","ref":"ExRender.Services.html#list/1"},{"type":"function","title":"ExRender.Services.restart/1","doc":"Restart a service by id","ref":"ExRender.Services.html#restart/1"},{"type":"function","title":"ExRender.Services.resume/1","doc":"Resume a service by id","ref":"ExRender.Services.html#resume/1"},{"type":"function","title":"ExRender.Services.retrieve/1","doc":"Returns the details of a single Render service (specified by serviceId) that's owned by\nyou or a team you belong to.","ref":"ExRender.Services.html#retrieve/1"},{"type":"function","title":"ExRender.Services.suspend/1","doc":"Suspend a service by id","ref":"ExRender.Services.html#suspend/1"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,51,46,48]}}